/**
* @file        usart.h
* @brief       This file contains all the functions prototypes for the USART firmware library. 
* @author      ChipSea MCU Group
* @version     1.0.0
* @date        2022.04.25
* @copyright   CHIPSEA TECHNOLOGIES (SHENZHEN) CORP.
* @note        
****************************************************************************************************
* @par Modify record:
* <tr><th>Date          <th>Version    <th>Author     <th>Description
* <tr><td>2022.04.25    <td>1.0.0      <td>ChipSea    <td>
* -# 
* </table>
*
****************************************************************************************************
*/


#ifndef __CS_USART_H__
#define __CS_USART_H__


#ifdef __cplusplus
 extern "C" {
#endif


/***************************************************************************************************
 * @includes
***************************************************************************************************/
#include <stdio.h>

/** @addtogroup USART
  * @{
  */

/***************************************************************************************************
 * @definitions
***************************************************************************************************/
/** @defgroup PPP_Exported_Types USART Exported Types
  * @{
  */

//Fill the content
/**
  * @}
  */


/** @defgroup PPP_Exported_Constants USART Exported Constants
  * @{
  */

//Fill the content
/**
  * @}
  */


/***************************************************************************************************
 * @functions
***************************************************************************************************/
/** @defgroup PPP_Exported_Functions USART Exported Functions
  * @{
  */

/**@brief       Configure USART3 as the printing port.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void usart_config(void);

/**
  * @}
  */


#ifdef __cplusplus
}
#endif

#endif /* cs.h */


/**
  * @}
  */


